{ rustPlatform, fetchgit, stdenv, ... }:

rustPlatform.buildRustPackage rec {
  name = "terminal-tools-${version}";
  version = "0.1.0";

  #src = ./.;
  src = fetchgit {
    url = "https://git.ingolf-wagner.de/palo/terminal-tools";
    rev = "816cfd8eae8f8136437e4076116e0267c6a6eb0d";
    sha256 = "07zf716wy0rqpzwj580haw935lj5ih0wzhfn26dq83kf9nm09iyg";

  };

  cargoSha256 = "0dgbw6idlzzpgljv0lxavimh1h8qlib0qrcn92f5imy6a12phrmm";

  verifyCargoDeps = true;

  meta = with stdenv.lib; {
    description = "tools I use in my shell scripts which should be fast";
    homepage = "https://git.ingolf-wagner.de/palo/terminal-tools";
    license = licenses.gplv3;
    maintainers = [ maintainers.mrVanDalo ];
    platforms = platforms.all;
  };
}

