{ config, pkgs, ... }: {

  environment.systemPackages = [ pkgs.direnv ];

  home-manager.users.mainUser.programs.direnv.enable = true;

  programs.zsh.interactiveShellInit = ''
    eval "$(${pkgs.direnv}/bin/direnv hook zsh)"
  '';
  programs.bash.interactiveShellInit = ''
    eval "$(${pkgs.direnv}/bin/direnv hook bash)"
  '';

}
