{ config, lib, pkgs, ... }:

with lib;

{
  services.dnsmasq = {
    enable = true;
    extraConfig = ''
      ${concatStringsSep "\n"
      (flip mapAttrsToList config.module.cluster.services.tinc."private".hosts
        (name: attrs: "address=/.${name}.private/${attrs.tincIp}"))}
    '';
  };
}
