{ lib, pkgs, ... }: {
  services.netdata = {
    enable = lib.mkDefault true;
    # https://docs.netdata.cloud/daemon/config/
    config = {
      global = {
        "memory mode" = "ram";
        "debug log" = "none";
        "access log" = "none";
        "error log" = "syslog";
      };
    };

  };
}
