{ config, lib, ... }:
let

  home = "/home/syncthing/podcasts";

in {
  custom.services.castget = {
    enable = true;
    user = "root";
    feeds = {
      Alternativlos = {
        url = "https://alternativlos.org/alternativlos.rss";
        spool = "${home}/alternativlos";
      };
      LORA_radio = {
        url = "https://www.freie-radios.net/portal/podcast.php?radio=19&rss";
        spool = "${home}/lora_radio";
      };
      gegenstandpunkt = {
        url = "https://pc.argudiss.de/";
        spool = "${home}/GegenStandpunkt";
      };
    };
  };
}
